List Alert Rules
List Alert Rules. This GET operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
List Alert Rules. This GET operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Query Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/activity.listAlertRules?input=%7B%22organizationId%22%3A%22string%22%2C%22organizationSlug%22%3A%22string%22%7D"{ "result": { "data": [ { "id": "string", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "enabled": true, "organizationId": "string", "serverId": "string", "createdByMemberId": "string", "kinds": [ "string" ], "severities": [ "string" ], "destinationIds": [ "string" ], "quietHoursStart": "string", "quietHoursEnd": "string", "quietHoursTimezone": "string" } ] }}{ "error": { "message": "string", "code": -32600, "data": { "code": "BAD_REQUEST", "httpStatus": 0, "path": "string", "stack": "string" } }}List Alert Destinations GET
List Alert Destinations. This GET operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Get Organization Activity Overview GET
Get Organization Activity Overview. This GET operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.